Subject: Re: Updated: inetutils-1.3.2-8
From: Hans Schlenker <[email-masked]>
To: cygwin <[email-masked]>
Date: Mon, 06 Nov 2000 14:57:48 +0100

Corinna Vinschen wrote:
> 
> Yes, kill them! No mercy!
> 
done.

Another problem I had was described and solved some days ago:

> > (2) On the telnet client machine (Win95) I run the
> > Windows telnet client to connect to the Cygwin telnet
> > server and this works OK. However the telnet client
> > doesn't read the PS1 environment variable set in
> > /etc/profile properly, it just echos the text verbatim.
> > Is there anything I can do to fix this?
> 
> Fix the /etc/passwd file on the server side. The problem
> is probably that you don't have that /etc/passwd file or
> that the login shell mentioned in the file is `/bin/sh'
> while you're expecting /bin/bash as your login shell.

It took me really a long time to find that message. I searched for
fixing wrong key bindings, escape sequences, telnet transmitting 8-bit
characters and all this stuff. I never got the idea that my login shell
was wrong. So: I strongly suggest to add the above mail snippet to the
FAQ's since I suppose that a lot of people have these problems. A
helping question could be: "When telnetting to the cygwin machine,
special keys and escape sequences are wrongly interpreted by 'bash'.
What's wrong?"

Thanks for the great cygwin suite!

Regards,

Hans

___________________________
Hans Schlenker
http://www.first.gmd.de/~hs

--
Want to unsubscribe from this list?
Send a message to [email-masked]